> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Get all phone numbers

GET https://api.youratlas.com/v1/api/phone-number

Reference: https://docs.youratlas.com/api-reference/atlas-api/phone-numbers/get-all-phone-numbers

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Response

### 200

Successful response

- `list of PhoneNumberEntity`

## Errors

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### PhoneNumberEntity

- `PartitionKey` (string, optional)
- `RowKey` (string, optional)
- `Timestamp` (datetime, optional)
- `PhoneNumber` (string, optional)
- `Provider` (enum, optional)
  - Allowed values: `twilio`, `siptrunk`, `telnyx`
- `SIPCredentialId` (string, optional)
- `SIPGatewayIps` (string, optional) — JSON array of SIP gateway IP addresses
- `InternalNumber` (boolean, optional)
- `TrustProductAttachRejected` (boolean, optional) — Whether Twilio rejected attaching this number to the Trust Product (e.g. regulation country mismatch)
- `TrustProductAttachRejectReason` (string, optional) — Twilio's reason for rejecting the Trust Product attachment
- `TwilioAccountSid` (string, optional) — Twilio account SID (Twilio provider only)
- `TelnyxAccountKey` (string, optional) — Telnyx billing group ID (Telnyx provider only)
- `campaignIds` (list of string, optional)
- `callTypes` (list of string, optional)

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

## Examples

**Response**

```json
[
  {
    "PartitionKey": "string",
    "RowKey": "string",
    "Timestamp": "2024-01-15T09:30:00Z",
    "PhoneNumber": "string",
    "Provider": "twilio",
    "SIPCredentialId": "string",
    "SIPGatewayIps": "string",
    "InternalNumber": true,
    "TrustProductAttachRejected": true,
    "TrustProductAttachRejectReason": "string",
    "TwilioAccountSid": "string",
    "TelnyxAccountKey": "string",
    "campaignIds": [
      "string"
    ],
    "callTypes": [
      "string"
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/phone-number"

headers = {"api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/phone-number';
const options = {method: 'GET', headers: {'api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/phone-number"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/phone-number")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.youratlas.com/v1/api/phone-number")
  .header("api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.youratlas.com/v1/api/phone-number', [
  'headers' => [
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/phone-number");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/phone-number")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```